# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rex/exploitation/version'

Gem::Specification.new do |spec|
  spec.name          = "rex-exploitation"
  spec.version       = Rex::Exploitation::VERSION
  spec.authors       = ['Metasploit Hackers']
  spec.email         = ['msfdev@metasploit.com']

  spec.summary       = %q{Ruby Exploitation(Rex) library for various exploitation helpers}
  spec.description   = %q{This gem contains various helper mechanisms for creating exploits.
                          This includes SEH Overwrite helpers, egghunters, command stagers and more.}
  spec.homepage      = "https://github.com/rapid7/rex-exploitation"


  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.2.0'

  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"

  spec.add_runtime_dependency 'rexml'
  spec.add_runtime_dependency 'rex-text'
  spec.add_runtime_dependency 'rex-arch'
  spec.add_runtime_dependency 'rex-encoder'
  spec.add_runtime_dependency 'metasm'
  # Needed for Javascript obfuscation
  spec.add_runtime_dependency 'jsobfu'

  # bigdecimal and racc are not part of the default gems starting from Ruby 3.4.0: https://www.ruby-lang.org/en/news/2023/12/25/ruby-3-3-0-released/
  %w[
    bigdecimal
    racc
  ].each do |library|
    spec.add_runtime_dependency library
  end
end
